package org.apollo.widgets;

import org.expeditee.core.Colour;
import org.expeditee.core.Font;

public final class TrackWidgetCommons {
	
	/** Static-only class. */
	private TrackWidgetCommons()
	{
	}
	
	/** For parsing metadata */
	public static final String META_NAME_TAG = "name=";
	public static final String META_INITIATIONTIME_TAG = "it=";
	public static final String META_RUNNINGMSTIME_TAG = "rt=";
	public static final String META_LAST_WIDTH_TAG = "lw=";
	public static final String META_OMIT_LAYOUT_TAG = "dontlayout";
	public static final String META_BEAT_DETECT_TAG="beatDetect=";

	
	public static final int CACHE_DEPTH = 1;
	
	public static final Colour FREESPACE_TRACKNAME_TEXT_COLOR = Colour.WHITE;
	public static final Font FREESPACE_TRACKNAME_FONT = new Font("Arial", Font.Style.BOLD, 20);
	
	public static final int POPUP_LIFETIME = 1500;
	
	public static final Colour STANDARD_TRACK_EDGE_COLOR = Colour.BLACK;
	public static final Colour MUTED_TRACK_EDGE_COLOR = Colour.GREY;
	public static final Colour SOLO_TRACK_EDGE_COLOR = Colour.RED;
	public static final Colour MUTED_SOLO_TRACK_EDGE_COLOR = Colour.FromRGB255(255, 168, 168);
	
	public static final float STOPPED_TRACK_EDGE_THICKNESS = 1.0f;
	public static final float PLAYING_TRACK_EDGE_THICKNESS = 4.0f;
	

	public static Colour getBorderColor(boolean isSolo, boolean isMuted) {
		
		Colour newC = null;
		
		if (isSolo && isMuted) {
			newC = TrackWidgetCommons.MUTED_SOLO_TRACK_EDGE_COLOR;
		} else if (isSolo) {
			newC = TrackWidgetCommons.SOLO_TRACK_EDGE_COLOR;
		} else if (isMuted) {
			newC = TrackWidgetCommons.MUTED_TRACK_EDGE_COLOR;
		} else {
			newC = TrackWidgetCommons.STANDARD_TRACK_EDGE_COLOR;
		}
		
		return newC;
	
	}
}
